#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ulogd
Version		:	2.0.8
Release		:	14.4.0.0%{?dist}
Summary		:	Userspace logging daemon for netfilter
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://www.netfilter.org/projects/ulogd

Source0		:	%{name}-%{version}.tar.bz2
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libnfnetlink-devel
BuildRequires	:	libnetfilter_log-devel
BuildRequires	:	libnetfilter_conntrack-devel
BuildRequires	:	libnetfilter_acct-devel

Requires	:	lsb
Requires	:	libmnl
Requires	:	libnfnetlink
Requires	:	libnetfilter_log
Requires	:	libnetfilter_conntrack
Requires	:	libnetfilter_acct
Requires	:	lfs-bootscripts
Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
ulogd is a logging daemon that reads event messages coming from
the Netfilter connection tracking and the Netfilter packet logging
subsystem. You have to enable support for connection tracking event
delivery; ctnetlink and the NFLOG target in your Linux kernel 2.6.x
or load their respective modules. The deprecated ULOG target (which
has been superseded by NFLOG) is also supported. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_var}/log/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_prefix}/lib/%{name}

install -pm 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}

#------------------------------------------------------------------
#adjusting default NFLOG monitoring
SEQ1="stack=log1:NFLOG,base1:BASE,ifi1:IFINDEX,ip2str1:IP2STR,print1:PRINTPKT,emu1:LOGEMU"
SEQ2="stack=log2:NFLOG,base1:BASE,ifi1:IFINDEX,ip2str1:IP2STR,print1:PRINTPKT,emu1:LOGEMU"
NUM1=`sed -n							\
	"/$SEQ1/="						\
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf`
NUM2=`sed -n							\
	"/$SEQ2/="						\
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf`
sed -i								\
	-e "$NUM1 s/^.//"					\
	-e "$NUM2 s/^.//"					\
	-e "s/ulogd_syslogemu.log/ulogd_emu1.log/"		\
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
#------------------------------------------------------------------
#installing ulogd starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} %{name}-ok_addon/ulogd %{buildroot}%{_sysconfdir}/rc.d/init.d

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)

%dir %{_libdir}/%{name}

%{_sbindir}/%{name}
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/%{name}/%{name}.conf
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_libdir}/%{name}/%{name}*.so
%{_mandir}/man8/%{name}.8.gz

%pre

%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi


%post
/usr/sbin/ldconfig
/sbin/chkconfig --add %{name}
/sbin/chkconfig %{name} on

%postun

%changelog
